#! /bin/bash

set -e

. ./pika-build-config.sh

echo "$PIKA_BUILD_ARCH" > pika-build-arch

VERSION="0.1.0"

# Clone Upstream
git clone https://github.com/pop-os/cosmic-settings.git
cd cosmic-settings

# Get build deps
sed -i '/^\s*\(cargo\|rustc\|rust-all\)\s*\(([^)]*)\)\?\s*,\?$/d; s/,\s*\(cargo\|rustc\|rust-all\)\s*\(([^)]*)\)\?\s*,\?//g' ./debian/control
sed -i '2iexport PATH := $(shell . /root/.cargo/env && echo $$PATH)\nexport $(shell . /root/.cargo/env && env | grep "^CARGO_\|^RUSTUP_" | sed "s/=/:=/")\n' ./debian/rules
apt-get build-dep ./ -y
apt-get install curl -y
curl --proto '=https' --tlsv1.2 -sSf https://sh.rustup.rs | CARGO_HOME=/root/.cargo sh -s -- -y
LOGNAME=root dh_make --createorig -y -l -p cosmic-settings_"$VERSION" || echo "dh-make: Ignoring Last Error"

# Build package
dpkg-buildpackage --no-sign

# Move the debs to output
cd ../
mkdir -p ./output
mv ./*.deb ./output/
